Create or update a schema file

Deprecated
View as Markdown
Creates or updates an API schema file. **Note:** - If the provided file path exists, the file is updated with the new contents. - If the provided file path does not exist, then a new schema file is created. - If the file path contains a `/` (forward slash) character, then a folder is created. For example, if the file path is the `dir/schema.json` value, then a `dir` folder is created with the `schema.json` file inside. - You can only update the `root` tag for protobuf specifications.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

apiIdstringRequired
The API's ID.
schemaIdstringRequired
The API schema's ID.
file-pathstringRequired
The path to the schema file.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Request

This endpoint expects an object.
namestringOptional
The schema file's name.
rootobjectOptional
Information about the schema's root file.
contentstringOptional
The schema file's stringified contents.

Response

Successful Response
createdBystring
The user ID of the user that created the file.
createdAtdatetime
The date and time at which the file was created.
rootobject
Information about the schema's root file.
namestring
The schema file's name.
pathstring
The file system path to the schema file.
updatedBystring
The user ID of the user that last updated the file.
idstring
The schema file's ID.
updatedAtdatetime
The date and time at which the file was last updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error